| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
PlanarTracker Class Reference

`#include <PlanarTracker.h>`

## Classes
class | PlanarTrackerImpl

## Public Member Functions
| PlanarTracker ()
| ~PlanarTracker ()
| PlanarTracker (PlanarTracker &&)
PlanarTracker & | operator= (PlanarTracker &&)
void | Initialise (ARParam cParam)
void | ProcessFrameData (unsigned char *frame)
| Perform tracking on a single frame of video.
void | RemoveAllMarkers ()
void | AddMarker (std::shared_ptr< unsigned char > buff, std::string fileName, int width, int height, int uid, float scale)
void | AddMarker (std::string imageName, int uid, float scale)
bool | GetTrackablePose (int trackableId, float transMat[3][4])
| If trackable is not visible, returns false, otherwise retrieves pose of trackable into transMat and returns true.
bool | IsTrackableVisible (int trackableId)
bool | LoadTrackableDatabase (std::string fileName)
bool | SaveTrackableDatabase (std::string fileName)
bool | ChangeImageId (int prevId, int newId)
std::vector< int > | GetImageIds ()
TrackedImageInfo | GetTrackableImageInfo (int trackableId)
void | SetFeatureDetector (int detectorType)
int | GetFeatureDetector (void)
void | SetMaximumNumberOfMarkersToTrack (int maximumNumberOfMarkersToTrack)
int | GetMaximumNumberOfMarkersToTrack (void)

## Constructor & Destructor Documentation

## ◆ PlanarTracker() [1/2]

PlanarTracker::PlanarTracker | ( |  | ) |

## ◆ ~PlanarTracker()

PlanarTracker::~PlanarTracker | ( |  | ) |
| default

## ◆ PlanarTracker() [2/2]

PlanarTracker::PlanarTracker | ( | PlanarTracker && |  | ) |
| default

## Member Function Documentation

## ◆ AddMarker() [1/2]

void PlanarTracker::AddMarker | ( | std::shared_ptr< unsigned char > | buff,
|  | std::string | fileName,
|  | int | width,
|  | int | height,
|  | int | uid,
|  | float | scale
| ) |  |

## ◆ AddMarker() [2/2]

void PlanarTracker::AddMarker | ( | std::string | imageName,
|  | int | uid,
|  | float | scale
| ) |  |

## ◆ ChangeImageId()

bool PlanarTracker::ChangeImageId | ( | int | prevId,
|  | int | newId
| ) |  |

## ◆ GetFeatureDetector()

int PlanarTracker::GetFeatureDetector | ( | void |  | ) |

## ◆ GetImageIds()

std::vector< int > PlanarTracker::GetImageIds | ( |  | ) |

## ◆ GetMaximumNumberOfMarkersToTrack()

int PlanarTracker::GetMaximumNumberOfMarkersToTrack | ( | void |  | ) |

## ◆ GetTrackableImageInfo()

TrackedImageInfo PlanarTracker::GetTrackableImageInfo | ( | int | trackableId | ) |

## ◆ GetTrackablePose()

bool PlanarTracker::GetTrackablePose | ( | int | trackableId,
|  | float | transMat[3][4]
| ) |  |

If trackable is not visible, returns false, otherwise retrieves pose of trackable into transMat and returns true.

## ◆ Initialise()

void PlanarTracker::Initialise | ( | ARParam | cParam | ) |

## ◆ IsTrackableVisible()

bool PlanarTracker::IsTrackableVisible | ( | int | trackableId | ) |

## ◆ LoadTrackableDatabase()

bool PlanarTracker::LoadTrackableDatabase | ( | std::string | fileName | ) |

## ◆ operator=()

PlanarTracker & PlanarTracker::operator= | ( | PlanarTracker && |  | ) |
| default

## ◆ ProcessFrameData()

void PlanarTracker::ProcessFrameData | ( | unsigned char * | frame | ) |

Perform tracking on a single frame of video.

The frame is passed as a single buffer of 8-bit greyscale pixels, starting with the top-left-most pixel of the frame and proceeding first by row, then by column. The size of the buffer must exactly match that passed in xFrameSize and yFrameSize parameters to Initialise() (i.e. xFrameSize * yFrameSize bytes). The frame data must remain valid for the entire duration of the call.

## ◆ RemoveAllMarkers()

void PlanarTracker::RemoveAllMarkers | ( |  | ) |

## ◆ SaveTrackableDatabase()

bool PlanarTracker::SaveTrackableDatabase | ( | std::string | fileName | ) |

## ◆ SetFeatureDetector()

void PlanarTracker::SetFeatureDetector | ( | int | detectorType | ) |

## ◆ SetMaximumNumberOfMarkersToTrack()

void PlanarTracker::SetMaximumNumberOfMarkersToTrack | ( | int | maximumNumberOfMarkersToTrack | ) |

The documentation for this class was generated from the following files:

- Source/ARX/OCVT/include/ARX/OCVT/PlanarTracker.h
- Source/ARX/OCVT/PlanarTracker.cpp